
# Requires libmongocrypt including MONGOCRYPT-702.
runOn:
  - minServerVersion: "8.0.0" # Requires 8.0.0-rc14 for SERVER-91889.
    # Skip QEv2 (also referred to as FLE2v2) tests on Serverless. Unskip once Serverless enables the QEv2 protocol.
    # FLE 2 Encrypted collections are not supported on standalone.
    # Tests for Decimal (without precision) must only run against a replica set. Decimal (without precision) queries are expected to take a long time and may exceed the default mongos timeout.
    topology: [ "replicaset" ]
database_name: &database_name "default"
collection_name: &collection_name "default"
data: []
encrypted_fields: &encrypted_fields {'fields': [{'keyId': {'$binary': {'base64': 'EjRWeBI0mHYSNBI0VniQEg==', 'subType': '04'}}, 'path': 'encryptedDecimalNoPrecision', 'bsonType': 'decimal', 'queries': {'queryType': 'range', 'contention': {'$numberLong': '0'}, 'trimFactor': {'$numberInt': '1'}, 'sparsity': {'$numberLong': '1'}}}]}
key_vault_data: [ {'_id': {'$binary': {'base64': 'EjRWeBI0mHYSNBI0VniQEg==', 'subType': '04'}}, 'keyMaterial': {'$binary': {'base64': 'sHe0kz57YW7v8g9VP9sf/+K1ex4JqKc5rf/URX3n3p8XdZ6+15uXPaSayC6adWbNxkFskuMCOifDoTT+rkqMtFkDclOy884RuGGtUysq3X7zkAWYTKi8QAfKkajvVbZl2y23UqgVasdQu3OVBQCrH/xY00nNAs/52e958nVjBuzQkSb1T8pKJAyjZsHJ60+FtnfafDZSTAIBJYn7UWBCwQ==', 'subType': '00'}}, 'creationDate': {'$date': {'$numberLong': '1648914851981'}}, 'updateDate': {'$date': {'$numberLong': '1648914851981'}}, 'status': {'$numberInt': '0'}, 'masterKey': {'provider': 'local'}} ]
tests:
  - description: "FLE2 Range Decimal. Insert and Find."
    clientOptions:
      autoEncryptOpts:
        kmsProviders:
          local: {'key': {'$binary': {'base64': 'Mng0NCt4ZHVUYUJCa1kxNkVyNUR1QURhZ2h2UzR2d2RrZzh0cFBwM3R6NmdWMDFBMUN3YkQ5aXRRMkhGRGdQV09wOGVNYUMxT2k3NjZKelhaQmRCZGJkTXVyZG9uSjFk', 'subType': '00'}}}
    operations:
      - name: insertOne
        arguments:
          document: &doc0 { _id: 0, encryptedDecimalNoPrecision: { $numberDecimal: "0" } }
      - name: insertOne
        arguments:
          document: &doc1 { _id: 1, encryptedDecimalNoPrecision: { $numberDecimal: "1" } }
      - name: find
        arguments:
          filter: { encryptedDecimalNoPrecision: { $gt: { $numberDecimal: "0" } } }
        result: [*doc1]
    expectations:
      - command_started_event:
          command:
            listCollections: 1
            filter:
              name: *collection_name
          command_name: listCollections
      - command_started_event:
          command:
            find: datakeys
            filter: {
                  "$or": [
                      {
                          "_id": {
                              "$in": [
                                {'$binary': {'base64': 'EjRWeBI0mHYSNBI0VniQEg==', 'subType': '04'}}
                              ]
                          }
                      },
                      {
                          "keyAltNames": {
                              "$in": []
                          }
                      }
                  ]
              }
            $db: keyvault
            readConcern: { level: "majority" }
          command_name: find
      - command_started_event:
          command:
            insert: *collection_name
            documents:
              - &doc0_encrypted { "_id": 0, "encryptedDecimalNoPrecision": { $$type: "binData" } }
            ordered: true
            encryptionInformation:
              type: 1
              schema:
                default.default:
                  # libmongocrypt applies escCollection and ecocCollection to outgoing command.
                  escCollection: "enxcol_.default.esc"
                  ecocCollection: "enxcol_.default.ecoc"
                  <<: *encrypted_fields
          command_name: insert
      - command_started_event:
          command:
            insert: *collection_name
            documents:
              - &doc1_encrypted { "_id": 1, "encryptedDecimalNoPrecision": { $$type: "binData" } }
            ordered: true
            encryptionInformation:
              type: 1
              schema:
                default.default:
                  # libmongocrypt applies escCollection and ecocCollection to outgoing command.
                  escCollection: "enxcol_.default.esc"
                  ecocCollection: "enxcol_.default.ecoc"
                  <<: *encrypted_fields
          command_name: insert
      - command_started_event:
          command:
            find: *collection_name
            filter:
              "encryptedDecimalNoPrecision": {
                  "$gt": {
                    "$binary": {
                        "base64": "[encoded data, 33832 characters]",
                        "subType": "06"
                    }
                  }
              }
            encryptionInformation:
              type: 1
              schema:
                default.default:
                  # libmongocrypt applies escCollection and ecocCollection to outgoing command.
                  escCollection: "enxcol_.default.esc"
                  ecocCollection: "enxcol_.default.ecoc"
                  <<: *encrypted_fields
          command_name: find
    outcome:
      collection:
        # Outcome is checked using a separate MongoClient without auto encryption.
        data:
        -
          {
              "_id": {
                  "$numberInt": "0"
              },
              "encryptedDecimalNoPrecision": { $$type: "binData" },
              "__safeContent__": [
                  {
                      "$binary": {
                          "base64": "rbf3AeBEv4wWFAKknqDxRW5cLNkFvbIs6iJjc6LShQY=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "n+XAuFnP8Dov9TnhGFxNx0K/MnVM9WbJ7RouEu0ndO0=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "yRXojuVdn5GQtD97qYlaCL6cOLmZ7Cvcb3wFjkLUIdM=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "DuIkdRPITRs55I4SZmgomAHCIsDQmXRhW8+MOznkzSk=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "SsBk+Et1lTbU+QRPx+xyJ/jMkmfG+QCvQEpip2YYrzA=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "crCIzOd8KhHvvUlX7M1v9bhvU4pLdTc+X2SuqoKU5Ek=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "YOWdCw4UrqnxkAaVjqmC4sKQDMVMHEpFGnlxpxdaU6E=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "M3SShp81Ff8tQ632qKbv9MUcN6wjDaBReI0VXNu6Xh4=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "gzHlSPxpM0hT75kQvWFzGlOxKvDoiKQZOr19V6l2zXI=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "s3JnppOGYw9SL2Q1kMAZs948v2F5PrpXjGei/HioDWs=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "cG6+3Gk/zEH68P/uuuwiAUVCuyJwa1LeV+t29FlPPAo=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "dupdvR3AyJtM+g9NDKiaLVOtGca387JQp8w+V03m7Ig=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "JqEQc5svj2jTvZ6LLA5ivE+kTb/0aRemSEmxk4G7Zrg=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "szcXXXKnob+p3SoM4yED2R920LeJ7cVsclPMFTe4CeI=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "o1QoGVXmuBdHwHm7aCtGMlMVKrjFdYvJXpoq6uhIAZ0=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "Jfm5wPlqqLCJRGQIqRq2NGmpn7s0Vrih2H3YAOoI2YU=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "zMHLb8ARbsYo8Ld05bqnGFf1Usha6EGb8QKwdSAyps0=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "yQdtq9lh5pugL7/i0Bj/PuZUUBUIzf+7wj1rl5y736w=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "wGWVZdO7qIuyDg/BqDgqjgoQ02h5YYgwXQB1oCin2NE=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "by9HMLj6NTEpgztZ5HSN6GxImkXPcaFINYDzgZY33X8=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "tWo0vbasi7bXmn/MsOx13VC1IsWtpx/nYp0uj4iMzdA=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "tQQpndUYd5O87lOtrGjH3wl9VsOK0ray7RMasL90sBM=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "cQjXEDCMsOpKLLf+vlTgIHA+cbSJdzqhbSX9Wvh95aA=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "7yMpU48IxK9SzP2cx3VnTownGEwFmeFofuuFT97SuuY=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "kSOx1kz0CmBgzKQHZlo65ZUY1DIv9A99JRm+Us2y6Ew=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "ubQpdPBe6/xvtr+AcXdfYLSvYCR4ot0tivehkCsupb4=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "xal+iCJ6FTefRQToyoNksc9NCZShyn04NDGi4IYrcoM=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "d7jU4iOK50xHxlkSifcxlZFCM46TSgQzoYivxG3HNLY=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "tJvl2nsBLBVzL3pp6sKWCL4UXeh3q/roYBJjSb74ve0=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "OIUCaKRvIx9t1w6Hxlz1IcQTdPNCfdRNwnnTm10W+X0=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "A9tvzsiElotOUVIB4CqfQp9mAwqvTM35YkmAR170aHA=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "lI8gpK7hpb7c9x4RQugsxMnQay5LZJmwslZdvMx/dcE=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "dNCzh40U0XvdKnSDi3HRQOWQftEsDVqc4uUvsVFGoq8=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "IP+iwEBWBwVVZIdpaMu8k5+soFCz+TZkYn3drKZ9grE=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "pnqyh6e0y5svHkJDShlN9CHV0WvMBE4QbtJpQw5ZCXc=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "elEl42tbVDoRTLjAhZUFEtXiut4b3PVhg/1ZLZSQdtE=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "vHuu2FxwclMHqyE6JBYbTYgbEkB0dqb/JuaxsvfwsmY=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "xTf7NCe3Gf8QpE78HR5OknlLTKfs9J+RN9UZpH6fnso=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "XiWSasRnJAulGR6+LCVD3mwRObXylqYWR9jvpywq12c=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "MZMxEQ5ikx0PG1YFIExv0UnTZogsvgeOEZTpzvBDn4w=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "yZMyMZBDrWbAhvnic7vvIYhmO9m5H2iuv0c8KNZrBzY=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "xxM14hTPY5j0vvcK2C7YAEjzdsfUTFHozHC0hEo1bxI=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "+01rqR1xVwkpGXcstbk1ItJqFVjH6Q8MGxEN3Cm9Y1A=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "xOpLV0Z2VTRJ3iWtnWZcsyjXubTIkYWo31cO+HV1o1k=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "BWUOLqgLBqc5NwxVlSV5H3KFQPXbCp7mdo+jF+8cJqY=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "fuQb1S6xZDGlrEbK+kI23aL53PP1PVNwqICnZNt9Yzg=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "SfscnoibFttahLdPVC4Ee+47ewGFKpDSU7M6HX19bKE=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "rpSW2awybNVeKtat91VFxqbINoTfNhPfQAu+d73Xtf8=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "9M/CP9ccOIIj2LLFmE0GFDO0Ban2wsNalEXfM6+h+1s=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "WrEMG49l1ye4MhXs5ZS9tz8P6h+hDvthIg/2wW9ne1Q=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "ImNhbfeyfH8qIEeA5ic0s3dAQBdzzTBS+CPsNih9vZ0=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "dWP33YDSn04UKJN2ogh2Rui0iW/0q2y18OCDRVcfyoo=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "lYv0isAtfGh6H9tdp3cp2eHU7q2J+uk7QrgcxtK3w7Y=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "VGMoamB/+7zTOYcY/pqJc96xlv2PdW4hwsIAEIslTDQ=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "yNeBWMF7BnD9wVwz2PgJsvWr77QiVvvWUvJF0+fqBug=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "SfpvObJ+tJBXSvqeN7vlOfmhYign635lciYAJIjUtY8=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "dsen4NqjzVGjpjufiTMs3+gqeD09EbnuogPgxrJECwg=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "pxCWVM3sn19NsFEpgHbgLa+PmYlhN3mMiP0Wk8kJhYw=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "q11KNvJszjYIB9n9HcC+N4uz11a3eRj1L3BH9scKMDQ=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "A1PmkgcEToWh1JiVWE6mI5jUu7poxWWuCUt/cgRUUDc=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "qJo3Hu4PJeanL7XEaWXO/n3YsodhZyd+MJOOmB9Kpd8=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "BkBKLO8URFscfRY9Bav/1+L9mLohDgNr/MkZtGiraIs=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "rZq5WA3Hx3xthOyHAJXK//f8pE2qbz7YKu3TIMp9GFY=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "X07a/Lm80p5xd4RFs1dNmw+90tmPDPdGiAKVZkxd4zY=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "6YrBn2ofIw1b5ooakrLOwF41BWrps8OO0H9WH4/rtlE=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "0l86Ag5OszXpa78SlOUV3K9nff5iC1p0mRXtLg9M1s4=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "Hn6yuxFHodeyu7ISlhYrbSf9pTiH4TDEvbYLWjTwFO0=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "zdf4y2etKBuIpkEU1zMwoCkCsdisfXZCh8QPamm+drY=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "rOQ9oMdiK5xxGH+jPzOvwVqdGGnF3+HkJXxn81s6hp4=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "61aKKsE3+BJHHWYvs3xSIBvlRmKswmaOo5rygQJguUg=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "KuDb/GIzqDM8wv7m7m8AECiWJbae5EKKtJRugZx7kR0=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "Q+t8t2TmNUiCIorVr9F3AlVnX+Mpt2ZYvN+s8UGict8=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "tJRZIpKxUgHyL83kW8cvfjkxN3z6WoNnUg+SQw+LK+k=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "pnUsYjip8SvW0+m9mR5WWTkpK+p6uwJ6yBUAlBnFKMk=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "PArHlz+yPRYDycAP/PgnI/AkP8Wgmfg++Vf4UG1Bf0E=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "wnIh53Q3jeK8jEBe1n8kJLa89/H0BxO26ZU8SRIAs9Q=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "4F8U59gzBLGhq58PEWQk2nch+R0Va7eTUoxMneReUIA=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "ihKagIW3uT1dm22ROr/g5QaCpxZVj2+Fs/YSdM2Noco=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "EJtUOOwjkrPUi9mavYAi+Gom9Y2DuFll7aDwo4mq0M0=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "dIkr8dbaVRQFskAVT6B286BbcBBt1pZPEOcTZqk4ZcI=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "aYVAcZYkH/Tieoa1XOjE/zCy5AJcVTHjS0NG2QB7muA=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "sBidL6y8TenseetpioIAAtn0lK/7C8MoW4JXpVYi3z8=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "0Dd2klU/t4R86c2WJcJDAd57k/N7OjvYSO5Vf8KH8sw=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "I3jZ92WEVmZmgaIkLbuWhBxl7EM6bEjiEttgBJunArA=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "aGHoQMlgJoGvArjfIbc3nnkoc8SWBxcrN7hSmjMRzos=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "bpiWPnF/KVBQr5F6MEwc5ZZayzIRvQOLDAm4ntwOi8g=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "tI7QVKbE6avWgDD9h4QKyFlnTxFCwd2iLySKakxNR/I=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "XGsge0CnoaXgE3rcpKm8AEeku5QVfokS3kcI+JKV1lk=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "JQxlryW2Q5WOwfrjAnaZxDvC83Dg6sjRVP5zegf2WiM=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "YFuHKJOfoqp1iGVxoFjx7bLYgVdsN4GuUFxEgO9HJ5s=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "Z6vUdiCR18ylKomf08uxcQHeRtmyav7/Ecvzz4av3k4=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "SPGo1Ib5AiP/tSllL7Z5PAypvnKdwJLzt8imfIMSEJQ=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "m94Nh6PFFQFLIib9Cu5LAKavhXnagSHG6F5EF8lD96I=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "pfEkQI98mB+gm1+JbmVurPAODMFPJ4E8DnqfVyUWbSo=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "DNj3OVRLbr43s0vd+rgWghOL3FqeO/60npdojC8Ry/M=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "kAYIQrjHVu49W8FTxyxJeiLVRWWjC9fPcBn+Hx1F+Ss=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "aCSO7UVOpoQvu/iridarxkxV1SVxU1i9HVSYXUAeXk4=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "Gh6hTP/yj1IKlXQ+Q69KTfMlGZjEcXoRLGbQHNFo/1s=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "/gDgIFQ4tAlJk3GN48IS5Qa5IPmErwGk8CHxAbp6gs0=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "PICyimwPjxpusyKxNssOOwUotAUbygpyEtORsVGXT8g=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "4lu+cBHyAUvuxC6JUNyHLzHsCogGSWFFnUCkDwfQdgI=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "pSndkmoNUJwXjgkbkgOrT5f9nSvuoMEZOkwAN9ElRaE=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "tyW+D4i26QihNM5MuBM+wnt5AdWGSJaJ4X5ydc9iWTU=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "9Syjr8RoxUgPKr+O5rsCu07AvcebA4P8IVKyS1NVLWc=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "67tPfDYnK2tmrioI51fOBG0ygajcV0pLo5+Zm/rEW7U=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "y0EiPRxYTuS1eVTIaPQUQBBxwkyxNckbePvKgChwd0M=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "NWd+2veAaeXQgR3vCvzlI4R1WW67D5YsVLdoXfdb8qg=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "PY5RQqKQsL2GqBBSPNOEVpojNFRX/NijCghIpxD6CZk=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "lcvwTyEjFlssCJtdjRpdN6oY+C7bxZY+WA+QAqzj9zg=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "CWE7XRNylvTwO/9Fv56dNqUaQWMmESNS/GNIwgBaEI0=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "ijwlrUeS8nRYqK1F8kiCYF0mNDolEZS+/lJO1Lg93C8=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "8KzV+qYGYuIjoNj8eEpnTuHrMYuhzphl80rS6wrODuU=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "wDyTLjSEFF895hSQsHvmoEQVS6KIkZOtq1c9dVogm9I=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "SGrtPuMYCjUrfKF0Pq/thdaQzmGBMUvlwN3ORIu9tHU=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "KySHON3hIoUk4xWcwTqk6IL0kgjzjxgMBObVIkCGvk4=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "hBIdS9j0XJPeT4ot73ngELkpUoSixvRBvdOL9z48jY8=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "Tx6um0q9HjS5ZvlFhvukpI6ORnyrXMWVW1OoxvgqII0=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "zFKlyfX5H81+d4A4J3FKn4T5JfG+OWtR06ddyX4Mxas=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "cGgCDuPV7MeMMYEDpgOupqyNP4BQ4H7rBnd2QygumgM=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "IPaUoy98v11EoglTpJ4kBlEawoZ8y7BPwzjLYBpkvHQ=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "Pfo4Am6tOWAyZNn8G9W5HWWGC3ZWmX0igI/RRB870Ro=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "fnTSjd7bC1Udoq6iM7UDnHAC/lsIXSHp/Gy332qw+/I=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "fApBgVRrTDyEumkeWs5p3ag9KB48SbU4Si0dl7Ns9rc=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "QxudfBItgoCnUj5NXVnSmWH3HK76YtKkMmzn4lyyUYY=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "sSOvwhKa29Wq94bZ5jGIiJQGbG1uBrKSBfOYBz/oZeI=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "FdaMgwwJ0NKsqmPZLC5oE+/0D74Dfpvig3LaI5yW5Fs=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "sRWBy12IERN43BSZIrnBfC9+zFBUdvjTlkqIH81NGt4=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "/4tIRpxKhoOwnXAiFn1Z7Xmric4USOIfKvTYQXk3QTc=",
                          "subType": "00"
                      }
                  }
              ]
          }
        -
          {
              "_id": {
                  "$numberInt": "1"
              },
              "encryptedDecimalNoPrecision": { $$type: "binData" },
              "__safeContent__": [
                  {
                      "$binary": {
                          "base64": "RGTjNVEsNJb+DG7DpPOam8rQWD5HZAMpRyiTQaw7tk8=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "I93Md7QNPGmEEGYU1+VVCqBPBEvXdqHPtTJtMOn06Yk=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "GecBFQ1PemlECWZWCl7f74vmsL6eB6mzQ9n6tK6FYfs=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "QpjhZl+O1ORifgtCZuWAdcP6OKL7IZ2cA46v8FJcV28=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "RlQWwhU+uVv0a+9IB5cUkEfvHBvOw3B1Sx6WfPWMqes=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "ubb81XTC7U+4tcNzf1oYvOY6gR5hC2Izqx54f4GuJ0E=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "6M4Q5NMQ9TqNnjzGOxIkiUIY8TEL0I3XD1QnhefQUqU=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "BtInzk9t2FFMCEY6AQ7zN8jwrrZEs2irSv6q0Q4NaIw=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "6vxXfETu9cuBIpRBo3jUUU04mJIH/aAhLX8K6VI5Xv0=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "wXPCdS+q23zi1bkPnaVG2j0PsVtxdeSLJ//h6J1x8RU=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "KY3KkfBAsN2l80wbpj41G0gwBR5KmmFnZcagg7D3ENk=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "tI8NFAxXCX4VOnY5X73K6KI/Yspd3aR94KV39MhJlAw=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "nFxH0UC3mATKA6Vboz+QX/hAjj19kF/SH6H5Cne7qC0=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "q8hYqIYaIi7nOdG/7qQZYnz8Bsacfi66M1nVku4SH08=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "4saA92R4arp4anvD9xFtze+sNcQqTEhPHyl1h70A8NE=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "DbIziOBRRyeQS6RtBR09E37LV+CTKrEjGoRMLSpG6eE=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "Fv80Plp/7w2gnVqrwawLd6qhJ10G4NCDm3re67cNq4Y=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "T/T2oiQCBBES4YN7EodzPRdabZSFlYIClHBym+bQUZE=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "ZQgHD3l46Ujqtbnj1VbbeM29C9wJzOhz+yZ/7XdSrxk=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "ltlFKzWvyZvHxDFOYDd/XXJ6kUiJj0ln2HTCEz2o4Z4=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "flW8A7bltC1u8bzx0WJtxosGJdOVsJFfbx33jxnpFGg=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "SXO+92QbMKwUSG2t27ciunV1c3VvFkUuDmSczpRe008=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "+KioGs1GM+xRBzFE67ePTWj04KMSE5/Y6qUF7nJ5kvU=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "L3xNVbh6YH+RzqABN+5Jgb7T234Efpn766DmUvxIxgg=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "hPF+60mBYPjh21dEmPlBhKgyc9S2qLtTkypYvnqP2Fc=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "EletRsETy2HcjaPIm2c8CkT7ch/P3pJJDC8hasepcSU=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "r5bMXUaNKqLPxZ+TG9HYTG4aSDgcpim27rN8rQFkM0w=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "0Q7Erdr8+/S0wUEDDIqlS5XjBVWvhZY65K0uUDb6+Ns=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "xEcnhXy35hbXNVBPOOt3TUHbxvKfQ48KjA9b6/rbMqQ=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "T8bEpiQNgsEudXvyKE9SZlSvbpV/LUaslsdqgSFltyo=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "hIoiaF2YjnxDbODfhFEB+JGZ5nf8suD3Shck5bwQ3N0=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "qnA6qzejeRJ0rsZaZ0zOvKAaXyxt5lpscKQNYFZNl4k=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "anAKCL2DN/le2VaP0n2ucYSEH/DaaEH/8Sa4OqTZsRA=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "JCZlBJaFm618oWYSnT9Jr1MtwFVw4BZjOzO+5yWgR90=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "yxyk4n9762WzcDVGnTn4jCqUnSMIVCrLDIjCX1QVj34=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "fDI6fdKvDJwim5/CQwWZEzcrXE3LHgy7FTtffcC7tXE=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "Vex+gcz5T+WkzsVZQrkqUR2ryyZbnaOGuWpYvjN0zCw=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "8TLEXz+Gbbp6llHpZXVjLsdlYY9f6hrKpHVpyfDe0RY=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "7fTyt5BrunypS65TfOzFW2E2qdIuT4SLeDeGlbQoJCs=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "8fKGrkqN0/KuSjyXgDBmRauDKrSa//JBKRWHEB9xBf4=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "s4codmG7uN4ss6P357jL21lazEe90M9GOK5WrOknSV0=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "RkSpua8XF+NUdxVDU90EbLUTTyZFX3tt3atBTroFaRk=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "LnTCuCDyAHK5B9KXzjtwGmWB+qergQk2OCjnIx9MI2A=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "cBFh0virAX4pVXf/udIGI2951i0+0aZAdJcBVGtYnT4=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "G54X6myQXWZ5fw/G31en3QbdgfXzL9+hFTtJpnWMqDI=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "EdsiiuezcsFJFnYIyGjCOhnqMj1BOwTB5EFxN+ERUkg=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "dVH9MXLtk0WTwGQ3xmrhOqfropMUkDW3o6paNPGl3NU=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "sB3HqXKWY3pKbuEH8BTbfNIGfbY+7/ZbOc3XC+JRNNI=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "WHyDk62Xhqbo4/iie2aLIM4x2uuAjv6102dJSHI58oM=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "pNUFuHpeNRDUZ/NrtII2c6sNc9eGR1lIUlIyXKERA+0=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "UPa+pdCqnN0bfAptdzldQOSd01gidrDKy8KhWrpSKAI=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "l+7dOAlo+HUffMqFYXL6pgUFeTbwOM9CjKQLxEoLtc4=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "SRnDXV/rN6C8xwMutv9E1luv3DOUio3VkgPr8Cpm7Ew=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "QcH6gl+gX7xZ7OWhUNQMbndJy0Piz49pDo6RsnLkVSA=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "t+uL4DnfsI/Zll/KXWW1cOKX3Hu8WIkm3pt9efCVSAQ=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "myutHDctku/+Uug/nD8gRbYvmx/IovtoAAC2/fz2oHA=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "6C+cjD0e0nSCP6cPqQYbNG7SlOd6Mfvi8hyfm7Ng+D8=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "zg01JSoOj9oBKT0S1ldJucXzY5AKgreS+h2xJreWTOs=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "7qQ80/FjodHl1m1py/Oii0/9C/xWbLdhaRXQ+kkCP10=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "YwWMNH07vL6c5Nhg+MRnVByhzUunu8y0VLM9z/XvR5U=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "Dle8bU98+fudAbc14SToZFkwvV3tcYVsjDug0NWljpc=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "J+eKL1vPJmlzltvhI6Li5Fz/TJmi3Ng+ehRTcs46API=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "zB3XzfFygLwC3WHkj0up+VbEd25KKoce1vOpG/5bwK4=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "vnVnmOnL+z2pqwE+A6cVKS0Iwy4F4/2IiElJca9bUQM=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "+lG5r/Fpqry3BtFuvY67+RntmHAMDoLVOSGc6ZoXPb0=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "L5MXQertqc6uj7ADe8aWKbd1sYHPCE7P1VYVg9Zc3VI=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "imKONuZgopt0bhM3GMX2WVPwQYMTobuUUEdhcLfHs4c=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "eOkU1J1uVbiVFWBerbXsSIVcF2nqiicTkFy4x7kFHB8=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "gI0uDhXeoH/UatDQKEf4qo8FHzWZDhb/wuWTqbq/ID4=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "cOkd5Aa3btYhtojE/smsF/PJnULqQ4NNqTkU6KXTFmo=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "AWNJMs1MTe294oFipp8Y6P0CjpkZ4qCZoClQF3XcHq8=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "6gJtlzXOFhGYrVbTuRMmvMlDTwXdNtR9aGBlHZPwIMw=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "LEmwVGA/xsEG7UrcOoYLFu6KCXgijzFznenknuDacm8=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "mIRFPTXRrGaPtp/Ydij2jgkRe4uoUvAKxW2d8b9zYL0=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "B+Uv2u48WALOO0L311z+eryjYQzKJVMfdHMZPhOAFmY=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "INXXp0wDyVCq+NtfIrrC2ciETmyW/dWB/48/u4yLEZ4=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "se7DGo8XrlrQDLEcco1tZrQt9kDe+0RTyl2bw/quG4w=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "vr0m2+Zk9lbN6UgWCyn8xJWJOokU3IDYab5U5q1+CgQ=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "XI+eJ8Gy2JktG1gICgoj1qpsfy1tKmH0kglWbaQH6DA=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "A+UCuNnuAUqnQzspA6TVqUPRmtZmpSex5HFw7THRxs0=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "xaH2Ehfljd19uo0Fvb3iwkdaiWEVQd2YPoitgEPkhSM=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "S/iZBJGcc8+qZxyMtab65MMBoSglybwk3x58Nb86gnY=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "w14ZE5qqY5YgkS4Zcs9YNbrQbY1XfGOOHNn9bOYnFVQ=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "0MhGd/jEF1vjkKGp+ZMn9SjLK54jkp9W4Hg+Sp/oxaI=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "92QZ73e/NRTYgCm4aifaKth6aAsKnLLccBc0zx/qUTY=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "WOjzemCgFJOiGIp81RSVh/tFlzSTj9eFWcBnsiv2Ycs=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "DrsP9CmfKPjw5yLL8bnSeAxfNzAwlb+Z8OqCiKgBY7o=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "lMogqg8veBv6mri3/drMe9afJiKMvevkmGcw9BedfLo=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "TxqwNcY8Tg2MPpNdkPBwvfpuTttSYRHU26DGECKYQ9o=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "l0u1b4b4vYACWIwfnB7PZac4oDEgjQZCzHruNPTgAIY=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "iVSGQ+cCfhbWIrY/v/WBORK92elu9gfRKyGhr6r/k00=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "yK1forG50diEXte8ECzjfpHeYsPyuQ/dgxbxn/nzY5k=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "gIfTLCD3VwnOwkC0zPXWTqaITxX6ZplA69PO2a6zolc=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "O/Zxlgh3WqpzJ7+Sd8XWMVID4/GXJUUWaSqfgDUi3b0=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "ZQ6yv368zwahUqSUYH/StL0Qgz/TwS1CzlMjVDvCciI=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "m2rPEYkjwyiKdonMrKlcF7hya4lFOAUwEePJ3SgrNx8=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "Mq0yl5iVKlq71bT/dT/fXOWf2n90bTnXFnOdGDN0JOc=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "6qDGMXipPLC2O6EAAMjO2F9xx4rdqZso4IkPpH2304U=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "jvQHRQQa2RIszE2LX2Hv2LbRhYawJ6qmtRt8HZzFQXg=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "ovJXQrkZlpeHRciKyE/WWNm5O389gRgzx1W+Dw596X4=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "a4kgRNvYctGYqyQv9qScL/WkljTYVylJ9pE9KDULlxU=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "qV4Q48vPiCJMTjljotzYKI/zfExWpkKOSHGcAjGyDig=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "jtI7zbBF+QW/aYYTkn90zzyHLXLgmy7l1bzgMb2oqic=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "q0KmJl9txPdn962UNvnfe6UFhdk9YaFZuTm33F+csso=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "ULNdEqeZJgtmNOhN/Y9INzsE9AnxWYwOMn+pIbRXIFs=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "R4oz9+wkdjpKe5tE1jpG7IURAnfvS5fLP4LrD5cZfTE=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "qG5Z7VhwSu/HT/YFTgDzyAAzJKq51xPw2HeEV5btYC4=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "OM/1DmIIZ5Qyhtq8TGkHTBEMVKjAnKRZMRXYtTG8ctc=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "2R5vZbljLXnDFA99YfGuRB7pAdPJVKsT25zLNMC0fUk=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "OMbavF2EmdAz1fHkLV3ctFEUDfriKhoT2gidwHZ9z1o=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "MWT4Zrw3/vVvTYMa1Is5Pjr3wEwnBfnEAPPUAHKQhNU=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "tBkRPfG9yxfKocQx5pAJX0oEHKPL0Tgtr+0UYe09InE=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "lqxpnDR/H0YgH7RcfKoNoaaRhe1SIazIeMbQ1fu9y3Q=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "utT1UdR22PWOTrOkZauztX613lAplV4eh/ejTRb7ZSk=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "S+Y2yFyKi/a6FXhih4yGo29X8I8OT6/zwEoX6NMKT4o=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "QSjVppg29x6oS5yBg8OFjrFt0tuTpWCuKxfIy0k8YnE=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "y3r6/Xsfvsl3HksXlVYkJgHUqpQGfICxg3x9f8Zw1qM=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "BSltHzEwDjFN4du9rDHAPvl22atlcTioEtt+gC5L1tk=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "0arGXjSN0006UnXbrWsGqhvBair569DeFDUME3Df3rA=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "s/DumaMad08S+PBUUcrS+v42K0z8HgcdiQtrFAEu2Qs=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "EzJ8Y8N0OQBTlnvrK82PdevDNZZO4E6CNgYVu8Cj6Ks=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "VA4vr8jBPI5QdiPrULzzZjBMIUbG3V7Slg5zm0bFcKc=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "YAOvEB2ZLtq9LQiFViBHWaxxWVVonC2rNYj9tN9s3L0=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "hgaHMo9aAGS+nBwvqnTjZO+YkiQPY1c1XcIYeaYKHyI=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "YvaoLt3ZpH0atB0tNzwMjpoxRYJXl0DqSjisMJiGVBE=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "EMmW6CptFsiLoPOi5/uAJQ2FmeLg6mCpuVLLrRWk7Mc=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "1jQsNMarSnarlYmXEuoFokeBMg/090qUD9wqo1Zn8Gs=",
                          "subType": "00"
                      }
                  },
                  {
                      "$binary": {
                          "base64": "hupXNKhRpJxpyDAAP1TgJ5JMZh9lhbMk6s7D7dMS3C8=",
                          "subType": "00"
                      }
                  }
              ]
          }